Name:           tuxcards
Version:        2.2
Release:        1%{?dist}
Summary:        Manage notes and ideas in tree structures
License:        GPLv2+
Group:          Applications/Productivity
URL:            http://www.tuxcards.de
Source:         http://www.tuxcards.de/src/tuxcards-2.2/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires: cmake
BuildRequires: kdelibs-devel
BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: gettext


%description
TuxCards provides a hierarical notebook similar to CueCards under Windows.
Every kind of note and idea may be managed and sorted within a tree structure.

%prep
%setup
%{__perl} -pi -e 's|/usr/local/doc|%{_kde4_datadir}|g;' src/CTuxCardsConfiguration.cpp tuxcards.pro
%{__perl} -pi -e 's|/usr/local/bin|%{_kde4_bindir}|g;' tuxcards.pro


%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=Tuxcards
Comment=Manage notes and ideas in tree structures
Icon=tuxcards
Exec=tuxcards
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;Office;
Encoding=UTF-8
EOF


%build
qmake-qt4 tuxcards.pro
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}

%{__install} -d -m0755 %{buildroot}%{_kde4_datadir}/applications/
desktop-file-install --dir %{buildroot}%{_kde4_datadir}/applications/kde4 %{name}.desktop

%{__install} -D ./src/icons/lo32-app-tuxcards.png %{buildroot}%{_kde4_datadir}/icons/hicolor/32x32/apps/tuxcards.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_kde4_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_kde4_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING INSTALL README
%{_kde4_bindir}/*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/icons/hicolor/*

%changelog
* Sun Apr 11 2010 Fermin <fmolina@gmail.com> - 2.2
- Rebuild for Fedora 12

